# $Revision: 1.4 $, $Date: 2007/02/12 22:09:12 $
%define		_modname	courierauth
%define		_status		beta
Summary:	%{_modname} - binding to courier-authlib library
Summary(pl.UTF-8):	%{_modname} - wiązanie do biblioteki courier-authlib
Name:		php-pecl-%{_modname}
Version:	0.1.0
Release:	1
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	b7411d4fa8f297166bf5742d3d7c3df5
URL:		http://pecl.php.net/package/courierauth/
BuildRequires:	courier-authlib-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides means for authentication against any courier authdaemond
backends.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Pakiet ten udostępnia możliwość uwierzytelniania względem dowolnego
backendu authdaemond couriera.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-courierauth.spec,v $
Revision 1.4  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2006/12/26 19:28:24  qboosh
- pl fix

Revision 1.1  2006/12/24 22:32:26  adamg
- new
